Date: Thursday, August 10, 2017 @ 19:00:22
  Author: felixonmars
Revision: 249772

upgpkg: libmongoc 1.7.0-1

Modified:
  libmongoc/trunk/PKGBUILD

----------+
 PKGBUILD |   27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD    2017-08-10 18:56:42 UTC (rev 249771)
+++ PKGBUILD    2017-08-10 19:00:22 UTC (rev 249772)
@@ -2,7 +2,7 @@
 # Maintainer: Felix Yan <felixonm...@archlinux.org>
 
 pkgname=libmongoc
-pkgver=1.6.3
+pkgver=1.7.0
 pkgrel=1
 pkgdesc='A client library written in C for MongoDB'
 arch=('i686' 'x86_64')
@@ -9,24 +9,29 @@
 url='http://www.mongodb.org/display/DOCS/C+Language+Center'
 license=('Apache')
 depends=('libbson' 'libsasl')
-makedepends=('git')
 checkdepends=('python-pifpaf')
 checkdepends_x86_64=('mongodb')
-source=("git+https://github.com/mongodb/mongo-c-driver.git#tag=$pkgver";)
-sha512sums=('SKIP')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/mongodb/mongo-c-driver/archive/$pkgver.tar.gz";)
+sha512sums=('632347c3ebfc717f9f369f8bf3d374ace9f3c139ce96342b0e91b62f3965662fe0a233cbcd0fbeef2387dacf9cc539c60ec1cf8f4efe4f240f5a262206324b5b')
 
+prepare() {
+  cd mongo-c-driver-$pkgver
+  # Remove check for bundled libbson
+  sed -i 's|src/libbson/autogen.sh|/usr/bin/true|' autogen.sh
+}
+
 build() {
-    cd "$srcdir/mongo-c-driver"
-    PTHREAD_LIBS=-pthread ./autogen.sh --prefix=/usr
-    make
+  cd mongo-c-driver-$pkgver
+  PTHREAD_LIBS=-pthread ./autogen.sh --prefix=/usr
+  make
 }
 
 check() {
-    cd "$srcdir/mongo-c-driver"
-    pifpaf run mongodb --port 27017 make test || warning "Tests failed"
+  cd mongo-c-driver-$pkgver
+  pifpaf run mongodb --port 27017 make test || warning "Tests failed"
 }
 
 package() {
-    cd "$srcdir/mongo-c-driver"
-    make DESTDIR="$pkgdir/" install
+  cd mongo-c-driver-$pkgver
+  make DESTDIR="$pkgdir/" install
 }

Reply via email to